org.codehaus.mojo.properties

## Class ReadPropertiesMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.mojo.properties.ReadPropertiesMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class ReadPropertiesMojo
    extends org.apache.maven.plugin.AbstractMojo

The read-project-properties goal reads property files and stores the properties as project properties. It serves as an alternate to specifying properties in pom.xml.

Version:
  $Id: ReadPropertiesMojo.java 8861 2009-01-21 15:35:38Z pgier $
Author:
  Zarar Siddiqi, Krystian Nowak

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ReadPropertiesMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadPropertiesMojo

    public ReadPropertiesMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`